News:

SMF 2.0.19 has been released! Please update. Read more.

Main Menu

Bookmarks

Started by Matthew K., July 16, 2007, 01:07:24 PM

Previous topic - Next topic

IlliniCrusader

Quote from: noelksmall on April 05, 2010, 03:29:03 PM
I've downloaded this mod and installed it successfully, i can see the bookmarks at the top of the form, but when i go into a topic, i don't see "add bookmark" button, the package manager said it installed ok, im using 2 RC2

any help greatly appreciated!

Same here.  The mod seems to install correctly - I see the "My Bookmarks" in my menu.  But, there isn't a button to actually add anything to "My Bookmarks." 

Anyone have any ideas or a solution?

Thanks a lot.

searchgr

check the permissions of your membergroups

Kindred

more likely... check the custom theme that you are probably using and make the modifications manually to display.template.php
Слaва
Украинi

Please do not PM, IM or Email me with support questions.  You will get better and faster responses in the support boards.  Thank you.

"Loki is not evil, although he is certainly not a force for good. Loki is... complicated."

marcberm

So for some reason, when I attempt to install this package automatically through the SMF interface, instead of proceeding to the screen where the file tests are displayed, I get just a blank white screen (refresh doesn't do anything).  Couldn't figure this one out, so I proceeded with the manual install instead, which wasn't hard.

However, I'm now getting hung up on the database operations:

Through phpMyAdmin, I attempted to run the following query string as instructed:

CREATE TABLE IF NOT EXISTS {$db_prefix}bookmarks
(
`ID_MEMBER` mediumint(8) unsigned NOT NULL,
`ID_TOPIC` mediumint(8) unsigned NOT NULL,
UNIQUE KEY `ID_MEMBER` (`ID_MEMBER`,`ID_TOPIC`)
)


But I'm getting the following error:

MySQL said:
#1064 - You have an error in your SQL syntax.  Check the manual that corresponds to your MySQL server version for the right syntax to use near '{$db_prefix}bookmarks
(
`ID_MEMBER` mediumint(8) unsigned NOT


I'm using phpMyAdmin v. 2.11.1 and I'm working with a MySQL4 database, if those factors make any difference (I suspect that at least the MySQL version does).

Any help would be greatly appreciated!!

Thank you,
Marc Berman
www.rageacrossthecape.com/forums
Marc Berman

Administrator,
Rage Across the Cape
www.rageacrossthecape.com

Kindred

you need to change
{$db_prefix}bookmarks
to use the ACTUAL db prefix that your database is set to use...

i.e. smf_bookmarks
Слaва
Украинi

Please do not PM, IM or Email me with support questions.  You will get better and faster responses in the support boards.  Thank you.

"Loki is not evil, although he is certainly not a force for good. Loki is... complicated."

marcberm

Thanks!

I'm an idiot, and should really have been able to figure that one out on my own before posting :)

Quote from: Kindred on July 25, 2010, 10:42:38 PM
you need to change
{$db_prefix}bookmarks
to use the ACTUAL db prefix that your database is set to use...

i.e. smf_bookmarks
Marc Berman

Administrator,
Rage Across the Cape
www.rageacrossthecape.com

KensonPlays

even if this is a paid new feature, if you could add the ability to lets say "google bookmark" type thing, with a bookmarklet that would be awesome!

Kindred

???  google bookmark?  This feature creates a list of bookmarks stored in the DB for a user, there is no external interface with any outside source.

Also, I do not think that Aaron is doing any development on this any more... (could be wrong, though)
Слaва
Украинi

Please do not PM, IM or Email me with support questions.  You will get better and faster responses in the support boards.  Thank you.

"Loki is not evil, although he is certainly not a force for good. Loki is... complicated."

DarioBros

Quote from: marcberm on July 25, 2010, 10:03:07 PM
So for some reason, when I attempt to install this package automatically through the SMF interface, instead of proceeding to the screen where the file tests are displayed, I get just a blank white screen (refresh doesn't do anything). 

The same thing happens to me.

I resolved this issue modifying the file "package-info.xml" contained in the archive.

In this file, I replaced every istance of
<database type="file">
with
<code>

and
</database>
was replaced by
</code>

coolfx350

I got a blank screen as well when I tried to install this package.

Same package was working fine in the past, not sure what changed.

busterone

What version are you using and what mods are installed?
I have it installed on a heavily modified 2.0 RC3 with no issues. I just tried it on a fresh install 2.0 RC3, it installed with no errors.
There is a conflict in your existing installation somewhere.

FragaCampos

DarioBros gave the answer 4 messages before...

coolfx350


this doesn't work for me, any other ideas, after i changed, i zip them up again, but it's telling me files are corrupted.

Quote from: DarioBros on October 12, 2010, 06:31:49 AM
Quote from: marcberm on July 25, 2010, 10:03:07 PM
So for some reason, when I attempt to install this package automatically through the SMF interface, instead of proceeding to the screen where the file tests are displayed, I get just a blank white screen (refresh doesn't do anything). 

The same thing happens to me.

I resolved this issue modifying the file "package-info.xml" contained in the archive.

In this file, I replaced every istance of
<database type="file">
with
<code>

and
</database>
was replaced by
</code>

DarioBros

Quote from: petecheng on October 29, 2010, 11:19:34 AM

this doesn't work for me, any other ideas, after i changed, i zip them up again, but it's telling me files are corrupted.

Maybe it's a problem of the program that you use to zip/unzip: try winrar.
And make sure that the position of files in the new archive is the same than the old one: the modified file must be in the root of the archive, and not contained in a folder.

whoey

to make 2.0 RC4 compatible:

edit package-info.xml on line 9 replace with:
<install for="2.0 Beta 3, 2.0 Beta 3 Public, 2.0 Beta 3.1, 2.0 Beta 3.1 Public, 2.0 Beta 4, 2.0 Beta 4 Public, 2.0 RC1, 2.0 RC2, 2.0 RC3, 2.0 RC4">
Line 25 replace with:
<uninstall for="2.0 Beta 3, 2.0 Beta 3 Public, 2.0 Beta 3.1, 2.0 Beta 3.1 Public, 2.0 Beta 4, 2.0 Beta 4 Public, 2.0 RC1, 2.0 RC2, 2.0 RC3, 2.0 RC4">
(all we're doing is making the mod be accepted by rc4)

In bookmarks20.xml replace lines 100 & 108 with:
'reply' => array('test' => 'can_reply', 'text' => 'reply', 'image' => 'reply.gif', 'lang' => true, 'url' => $scripturl . '?action=post;topic=' . $context['current_topic'] . '.' . $context['start'] . ';last_msg=' . $context['topic_last_message'], 'active' => true),]]></search>
(this is taken from the default theme, I showed an error here even though it was ignored, so maybe the format or syntax changed a bit)

that fixed it all for me, seems to work just fine.

Melissa524

Is there anyway that we can get it packaged to work for rc4?  I am a bit code stupid when it comes to these things.
In case, I forget to say.  I am using 2.0.2

Kindred

in RC4, there is an option in the package manager to "emulate" a different version.....   pick RC3
Слaва
Украинi

Please do not PM, IM or Email me with support questions.  You will get better and faster responses in the support boards.  Thank you.

"Loki is not evil, although he is certainly not a force for good. Loki is... complicated."

busterone

Confirmed that emulation works. There is no code change needed for the mod itself.

Nuks

#578
Updated code to avoid use of emulation, i also added french-utf8 translation.

Kindred

sorry... standard mod authorship rights do not allow others to modify or distribute other people's mods
Слaва
Украинi

Please do not PM, IM or Email me with support questions.  You will get better and faster responses in the support boards.  Thank you.

"Loki is not evil, although he is certainly not a force for good. Loki is... complicated."

Advertisement: